# Method: bidders.publisherConnections.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.ListPublisherConnectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#try-it)

Lists publisher connections for a given bidder.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/{parent=bidders/*}/publisherConnections`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the bidder for which publishers have initiated connections. The pattern for this resource is `bidders/{bidder}` where `{bidder}` represents the account ID of the bidder. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server may return fewer results than requested (due to timeout constraint) even if more are available through another call. If unspecified, the server will pick an appropriate default. Acceptable values are 1 to 5000, inclusive. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.ListPublisherConnectionsResponse.FIELDS.next_page_token` returned from the previous call to the 'publisherConnections.list' method. |
| `filter` | `string` Query string to filter publisher connections. Connections can be filtered by `displayName`, `publisherPlatform`, and `biddingState`. If no filter is specified, all publisher connections will be returned. Example: 'displayName="Great Publisher\*" AND publisherPlatform=ADMOB AND biddingState != PENDING' See <https://google.aip.dev/160> for more information about filtering syntax. |
| `orderBy` | `string` Order specification by which results should be sorted. If no sort order is specified, the results will be returned in alphabetic order based on the publisher's publisher code. Results can be sorted by `createTime`. Example: 'createTime DESC'. |

### Request body

The request body must be empty.

### Response body

A response to a request for listing publisher connections.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publisherConnections": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections#PublisherConnection`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `publisherConnections[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections#PublisherConnection`)`` The list of publisher connections. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.publisherConnections/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to the `publisherConnections.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`